#
# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2011  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#


Name:		qubes-gpg-split
Version:	2.0.75
Release:	1%{dist}
Summary:	The Qubes service for secure gpg separation

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL-2.0-or-later
URL:		http://www.qubes-os.org

BuildRequires: make
BuildRequires: gcc
BuildRequires: pandoc
BuildRequires: python3-setuptools
%if 0%{?is_opensuse}
# for directory ownership
BuildRequires: qubes-core-qrexec
%endif

Requires:	gnupg2
Requires:   zenity


Source0: %{name}-%{version}.tar.gz

%description
The Qubes service for delegating gpg actions to other VM. You can keep keys in
secure (even network isolated) VM and only pass data to it for
signing/decryption.

%package tests
Summary:    Tests for Split GPG
Requires:   %{name}
%if ! 0%{?rhel}
Requires:   python%{python3_pkgversion}-dogtail
%endif
Requires:   xdotool
Requires:   dovecot
Requires:   python%{python3_pkgversion}-aiosmtpd

%description tests
Helper scripts for Split GPG tests.

%prep
%setup -q

%build
make clean
make build

%install
rm -rf $RPM_BUILD_ROOT
make install-vm-fedora DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir /usr/lib/qubes-gpg-split
/usr/lib/qubes-gpg-split/gpg-server
/usr/bin/qubes-gpg-client
/usr/bin/qubes-gpg-client-wrapper
/usr/bin/qubes-gpg-import-key
/etc/qubes-rpc/qubes.Gpg
/etc/qubes-rpc/qubes.GpgImportKey
/etc/profile.d/qubes-gpg.sh
/usr/lib/tmpfiles.d/qubes-gpg-split.conf
%{_mandir}/man1/qubes-gpg-client.1*
%{_mandir}/man1/qubes-gpg-client-wrapper.1*
%{_mandir}/man1/qubes-gpg-import-key.1*

%files tests
/usr/lib/qubes-gpg-split/test_evolution.py*
/usr/lib/qubes-gpg-split/test_thunderbird.py*

%changelog
* Thu Oct 03 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-split-gpg.git

* Thu Oct 03 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 96163b5
- version 2.0.75

* Tue Oct 01 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0595841
- tests: adjust for 'push button' -> 'button' role change

* Mon Sep 30 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 248b820
- ci: drop R4.1, add R4.3

* Mon Sep 30 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e46af5f
- tests: adjust for Thunderbird 128

* Sat Aug 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b195508
- version 2.0.74

* Wed Aug 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2817743
- tests: assertEquals -> assertEqual

* Mon Aug 12 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 48b3b43
- version 2.0.73

* Fri Aug 09 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2016819
- rpm: mark dom0 package as noarch

* Thu Jul 18 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c851016
- version 2.0.72

* Wed Jul 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 17f96e0
- tests: handle both Save and Save All dialogs

* Thu May 02 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 86df412
- Fix build error on redefined _FORTIFY_SOURCE

* Sat Apr 27 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ed6b94e
- version 2.0.71

* Thu Apr 25 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7477c2d
- tests: switch from smtpd to aiosmtpd

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8466ba7
- rpm: fix license tag

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ac0ec14
- Make /run/qubes-gpg-split only group writable

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d257ce8
- Do not install man pages and profile.d files as executable

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 77cdc17
- Use /usr/lib/tmpfiles.d instead of /etc/tmpfiles.d

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d657ab7
- rpm: do not package directory in /var/run

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3b513fa
- rpm: adjust BR for directory ownership check in openSUSE

* Thu Oct 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2d69db0
- version 2.0.70

* Sat Oct 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3bf5616
- tests: update for Thunderbird 115

* Fri Oct 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 00394da
- tests: try harder to avoid donation prompt during tests

* Tue Aug 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ef64f62
- version 2.0.69

* Tue Aug 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d65f098
- tests: use distribution's dogtail package

* Fri Jun 30 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a0a0aed
- version 2.0.68

* Thu Jun 22 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 78ed11a
- Ignore --auto-key-locate local,wkd

* Thu Jun 22 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b9c13d0
- tests: fix clicking top buttons in evolution

* Fri May 05 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - a2fa75d
- Do not allow + to separate subpacket numbers

* Wed Apr 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aeff139
- version 2.0.67

* Mon Apr 17 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 23f2cd2
- Bare support for new packaging with PKGBUILD.in

* Sun Apr 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1ee1959
- Rework Archlinux packaging

* Fri Feb 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8b24d17
- version 2.0.66

* Fri Feb 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 612fcb0
- Don't install policy on R4.2

* Thu Jan 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 120c3ea
- version 2.0.65

* Sun Jan 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4b504ca
- spec: add BR python3-setuptools

* Mon Dec 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 15fda8c
- tests: disable end-of-year message, and similar popups

* Thu Nov 17 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 874cff4
- Clean up spec file cruft

* Tue Nov 15 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 97337a2
- version 2.0.64

* Sat Oct 29 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4bcba03
- tests: update for Thunderbird 102

* Sat Oct 29 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 418305e
- tests: Fix retry_if_failed decorator

* Sun Oct 23 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 1446764
- Use ppoll() instead of pselect()

* Sat Aug 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fa04403
- version 2.0.63

* Mon Aug 01 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 67cb2bc
- Force --exit-on-status-write-error

* Mon Aug 01 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - ab857f6
- Prevent GnuPG from using a closed file descriptor

* Mon Aug 01 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 9d35724
- Force batch mode

* Mon Aug 01 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 3c52800
- Disallow --command-fd

* Fri Jul 29 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 434beb8
- version 2.0.62

* Fri Jul 29 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 315c171
- Emulate --quiet in terms of -q

* Wed Jul 27 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cca9708
- version 2.0.61

* Wed Jul 27 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 26add28
- Allow "qubes-gpg-client --verify - a.sig"

